Page MenuHomePhabricator

MediaWiki Docker does not support rest.php
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce

  1. Enable $wgEnableRestAPI = true;
  2. Go to /rest.php/v1/page/Main_Page/history

Actual Results
Redirect to the main page.

Expected Results
JSON response of the page history

Event Timeline

Change 621896 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[releng/dev-images@master] Route requests to /rest.php to the rest.php entry point.

https://gerrit.wikimedia.org/r/621896

Change 626143 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[releng/dev-images@master] Default to /var/www/html/w MediaWiki install and /wiki style URLs

https://gerrit.wikimedia.org/r/626143

Change 626143 merged by Jeena Huneidi:
[releng/dev-images@master] Default to /var/www/html/w MediaWiki install and /wiki style URLs

https://gerrit.wikimedia.org/r/626143

Mentioned in SAL (#wikimedia-releng) [2020-09-15T21:45:17Z] <brennen> Updating dev-images docker-pkg files on primary contint T261051

Change 631255 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[releng/dev-images@master] Add migration script for existing MediaWiki-Docker users

https://gerrit.wikimedia.org/r/631255

Change 626144 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/core@master] [docker] Update working directory to /var/www/html/w

https://gerrit.wikimedia.org/r/626144

Change 631255 merged by Brennen Bearnes:
[releng/dev-images@master] Add migration script for existing MediaWiki-Docker users

https://gerrit.wikimedia.org/r/631255

Mentioned in SAL (#wikimedia-releng) [2020-09-30T20:47:15Z] <brennen> Updating dev-images docker-pkg files on primary contint for T261051

Legoktm renamed this task from MediaWiki Docker does not support rest.php support to MediaWiki Docker does not support rest.php.Sep 30 2020, 8:57 PM

Change 626144 merged by jenkins-bot:
[mediawiki/core@master] [docker] Update working directory to /var/www/html/w

https://gerrit.wikimedia.org/r/626144

jeena claimed this task.
jeena removed jeena as the assignee of this task.
jeena added a subscriber: jeena.

Change 632446 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/core@master] [docker] Update developer docs for /w script path

https://gerrit.wikimedia.org/r/632446

Change 632446 merged by jenkins-bot:
[mediawiki/core@master] [docker] Update developer docs for /w script path

https://gerrit.wikimedia.org/r/632446